rya-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aaron Mihalik (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (RYA-8) Update sesame-runtime-osgi
Date Tue, 01 Dec 2015 17:58:10 GMT

     [ https://issues.apache.org/jira/browse/RYA-8?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Aaron Mihalik updated RYA-8:
----------------------------
    Affects Version/s: 3.2.9

> Update sesame-runtime-osgi
> --------------------------
>
>                 Key: RYA-8
>                 URL: https://issues.apache.org/jira/browse/RYA-8
>             Project: Rya
>          Issue Type: Bug
>          Components: osgi
>    Affects Versions: 3.2.9
>            Reporter: Aaron Mihalik
>
> The {{sesame-runtime-osgi}} subproject has a couple issues.
> # It's very fragile.  If we update the version of sesame, we need to update the {{openrdf-sesame-osgi.bnd}}
file.
> # The POM seems overly complicated.  It seems like we are building a modification of
the {{sesame-runtime-osgi}} jar provided by {{org.openrdf.sesame}}.  Maybe we should use the
assembly or maven shade plug-in.  Why is the {{openrdf-sesame-osgi.bnd}} file in the project
root directory (and not in {{src\main\resources}})?
> # Do we even need to build this specialty jar?  We need to document 'why' somewhere (in
the POM?)
> I'm going to disable this project when I check in RYA-7 until this is fixed.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message